Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class GrailsDomainConfigurationUtil

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsDomainConfigurationUtil

    public class GrailsDomainConfigurationUtil
    extends java.lang.Object

Utility methods used in configuring the Grails Hibernate integration.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `PROPERTIES_PROPERTY`
`static java.lang.String` | `PROPERTY_NAME`

Method Summary
`static void` | `configureDomainClassRelationships(GrailsClass[] domainClasses, java.util.Map domainMap)` Configures the relationships between domain classes after they have been all loaded.
`static java.util.Map` | `evaluateConstraints(java.lang.Object instance, GrailsDomainClassProperty[] properties, java.util.Map defaultConstraints)` Evaluates the constraints closure to build the list of constraints
`static java.util.Map` | `evaluateConstraints(java.lang.Class theClass, GrailsDomainClassProperty[] properties, java.util.Map defaultConstraints)`
`static java.util.Map` | `evaluateConstraints(java.lang.Object instance, GrailsDomainClassProperty[] properties)`
`static java.util.Map` | `evaluateConstraints(java.lang.Object instance)`
`static java.util.Map` | `evaluateConstraints(java.lang.Class theClass)`
`static java.util.Map` | `evaluateConstraints(java.lang.Class theClass, GrailsDomainClassProperty[] properties)`
`static java.io.Serializable` | `getAssociationIdentifier(java.lang.Object target, java.lang.String propertyName, GrailsDomainClass referencedDomainClass)`
`static java.util.Map` | `getAssociationMap(java.lang.Class domainClass)`
`static java.util.Map` | `getMappedByMap(java.lang.Class domainClass)` Retrieves the mappedBy map for the specified class.
`static java.lang.String` | `getMappingFileName(java.lang.String className)` Returns the ORM framework's mapping file name for the specified class name.
`static java.util.LinkedList` | `getSuperClassChain(java.lang.Class theClass)`
`static boolean` | `isBasicType(GrailsDomainClassProperty prop)` Establish whether it's a basic type.
`static boolean` | `isBasicType(java.lang.Class propType)`
`static boolean` | `isConfigurational(java.lang.String name)`
`static boolean` | `isNotConfigurational(java.beans.PropertyDescriptor descriptor)`
`static boolean` | `isNotConfigurational(java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PROPERTIES_PROPERTY

    public static final java.lang.String PROPERTIES_PROPERTY

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

Method Detail

### configureDomainClassRelationships

    public static void configureDomainClassRelationships(GrailsClass[] domainClasses, java.util.Map domainMap)

  Configures the relationships between domain classes after they have been all loaded.
  Parameters:
    `domainClasses` - The domain classes to configure relationships for
    `domainMap` - The domain class map

### evaluateConstraints

    *
    public static java.util.Map evaluateConstraints(java.lang.Object instance, GrailsDomainClassProperty[] properties, java.util.Map defaultConstraints)

  Evaluates the constraints closure to build the list of constraints
  deprecated:
    Use DefaultConstraintEvaluator instead
  Parameters:
    `instance` - The instance to evaluate constraints for
    `properties` - The properties of the instance
    `defaultConstraints` - A map that defines the default constraints
  Returns:
    A Map of constraints

### evaluateConstraints

    * @param instance   The instance to evaluate constraints for
    public static java.util.Map evaluateConstraints(java.lang.Class theClass, GrailsDomainClassProperty[] properties, java.util.Map defaultConstraints)

### evaluateConstraints

    * @param instance   The instance to evaluate constraints for
    public static java.util.Map evaluateConstraints(java.lang.Object instance, GrailsDomainClassProperty[] properties)

### evaluateConstraints

    * @return A Map of constraints
    public static java.util.Map evaluateConstraints(java.lang.Object instance)

### evaluateConstraints

    * @return A Map of constraints
    public static java.util.Map evaluateConstraints(java.lang.Class theClass)

### evaluateConstraints

    while (clazz != Object.class && clazz != null) {
    public static java.util.Map evaluateConstraints(java.lang.Class theClass, GrailsDomainClassProperty[] properties)

### getAssociationIdentifier

    public static java.io.Serializable getAssociationIdentifier(java.lang.Object target, java.lang.String propertyName, GrailsDomainClass referencedDomainClass)

### getAssociationMap

    public static java.util.Map getAssociationMap(java.lang.Class domainClass)

### getMappedByMap

    public static java.util.Map getMappedByMap(java.lang.Class domainClass)

  Retrieves the mappedBy map for the specified class.
  Parameters:
    `domainClass` - The domain class
  Returns:
    The mappedBy map

### getMappingFileName

    public static java.lang.String getMappingFileName(java.lang.String className)

  Returns the ORM framework's mapping file name for the specified class name.
  Parameters:
    `className` - The class name of the mapped file
  Returns:
    The mapping file name

### getSuperClassChain

    public static java.util.LinkedList getSuperClassChain(java.lang.Class theClass)

### isBasicType

    public static boolean isBasicType(GrailsDomainClassProperty prop)

  Establish whether it's a basic type.
  Parameters:
    `prop` - The domain class property
  Returns:
    true if it is basic

### isBasicType

    public static boolean isBasicType(java.lang.Class propType)

### isConfigurational

    public static boolean isConfigurational(java.lang.String name)

### isNotConfigurational

    public static boolean isNotConfigurational(java.beans.PropertyDescriptor descriptor)

### isNotConfigurational

    public static boolean isNotConfigurational(java.lang.String name)

Groovy Documentation